-- The following tables can be configured to work with other mods, thereby
-- eliminating the need to edit "homeworldclassic.lua", itself. Simply add or
-- remove the relevent items. The tables themselves, however, must remain.
-- New races can be added to the tables. However, they must be listed in the
-- same order as they are in "race.lua", and must be of the same length as 
-- the "ListOfRaces" table.

--===========================================================================

ListOfRaces =
{
	"Hiigaran",
	"Vaygr",
}

-- List of all mothership-class ships.
ListOfMotherships =
{
	-- Hiigaran
	{
		"Hgn_Mothership",
		"Hgn_Mothership_nores",
	},
	-- Vaygr
	{
		"Vgr_Mothership",
	},
}

-- List of all carrier-class ships (including shipyards).
ListOfCarriers =
{
	-- Hiigaran
	{
		"Hgn_Carrier",
		"Hgn_Shipyard",
		"Hgn_Carrier_nores",
		"Hgn_Shipyard_nores",
	},
	-- Vaygr
	{
		"Vgr_Carrier",
		"Vgr_Carrier_carrieronly",
		"Vgr_Shipyard",
	},
}

-- Ships & modules restricted when "Start With" is set to "Mothership".
RestrictedByStartWithMothership = 
{
	-- Hiigaran
	{
		build =
		{
		},
		research =
		{
			"CarrierHealthUpgrade1_carrieronly",
			"CarrierHealthUpgrade2_carrieronly",
			"CarrierMAXSPEEDUpgrade1_carrieronly",
			"CarrierMAXSPEEDUpgrade2_carrieronly",
			"CarrierBUILDSPEEDUpgrade1_carrieronly",
		},
	},
	-- Vaygr
	{
		build =
		{
			"Vgr_Carrier_carrieronly",
			"Vgr_C_Production_Fighter_carrieronly",
			"Vgr_C_Production_Corvette_carrieronly",
		},
		research =
		{
			"SuperCapHealthUpgrade1_carrieronly",
			"SuperCapHealthUpgrade2_carrieronly",
			"SuperCapSpeedUpgrade1_carrieronly",
			"SuperCapSpeedUpgrade2_carrieronly",
			"CarrierBUILDSPEEDUpgrade1_carrieronly",
		},
	},
}

-- Ships & modules restricted when "Start With" is set to "Carrier Only".
RestrictedByStartWithCarrierOnly = 
{
	-- Hiigaran
	{
		build =
		{
			"Hgn_Shipyard",
			"Hgn_Shipyard_nores",
		},
		research =
		{
			"CarrierHealthUpgrade1",
			"CarrierHealthUpgrade2",
			"CarrierMAXSPEEDUpgrade1",
			"CarrierMAXSPEEDUpgrade2",
			"CarrierBUILDSPEEDUpgrade1",
		},
	},
	-- Vaygr
	{
		build =
		{
			"Vgr_Shipyard",
			"Vgr_Carrier",
			"Vgr_C_Production_Fighter",
			"Vgr_C_Production_Corvette",
		},
		research =
		{
			"SuperCapHealthUpgrade1",
			"SuperCapHealthUpgrade2",
			"SuperCapSpeedUpgrade1",
			"SuperCapSpeedUpgrade2",
			"CarrierBUILDSPEEDUpgrade1",
		},
	},
}

-- Ships & modules restricted when "Start With" is set to "HW1 Map Default".
RestrictedByStartWithMapDefault = 
{
	-- Hiigaran
	{
		build =
		{
		},
		research =
		{
			"CarrierHealthUpgrade1_carrieronly",
			"CarrierHealthUpgrade2_carrieronly",
			"CarrierMAXSPEEDUpgrade1_carrieronly",
			"CarrierMAXSPEEDUpgrade2_carrieronly",
			"CarrierBUILDSPEEDUpgrade1_carrieronly",
		},
	},
	-- Vaygr
	{
		build =
		{
			"Vgr_CarrierOnly_carrieronly",
			"Vgr_C_Production_Fighter_carrieronly",
			"Vgr_C_Production_Corvette_carrieronly",
		},
		research =
		{
			"SuperCapHealthUpgrade1_carrieronly",
			"SuperCapHealthUpgrade2_carrieronly",
			"SuperCapSpeedUpgrade1_carrieronly",
			"SuperCapSpeedUpgrade2_carrieronly",
			"CarrierBUILDSPEEDUpgrade1_carrieronly",
		},
	},
}

-- Ships & modules restricted when "Research" is set to "Off".
RestrictedByResearchOff =
{
	-- Hiigaran
	{
		build =
		{
			"Hgn_C_Module_FireControl",
			"Hgn_MS_Module_FireControl",
			"Hgn_C_Module_ResearchAdvanced",
			"Hgn_MS_Module_ResearchAdvanced",
			"Hgn_Carrier",
			"Hgn_Shipyard",
			"Hgn_Battlecruiser",
		},
		research =
		{
		},
	},
	-- Vaygr
	{
		build =
		{
		},
		research =
		{
		},
	},
}

-- Ships & modules restricted when "Research" is set to "On".
RestrictedByResearchOn = 
{
	-- Hiigaran
	{
		build =
		{
			"Hgn_C_Module_FireControl_nores",
			"Hgn_MS_Module_FireControl_nores",
			"Hgn_Carrier_nores",
			"Hgn_Shipyard_nores",
			"Hgn_Battlecruiser_nores",
		},
		research =
		{
		},
	},
	-- Vaygr
	{
		build =
		{
		},
		research =
		{
		},
	},
}

-- Ships & modules restricted when "Hyperspace" is set to "Off".
RestrictedByHyperspaceOff =
{
	-- Hiigaran
	{
		build =
		{
			"Hgn_C_Module_Hyperspace",
			"Hgn_C_Module_HyperspaceInhibitor",
			"Hgn_C_Sensors_DetectHyperspace",
			"Hgn_MS_Module_Hyperspace",
			"Hgn_MS_Module_HyperspaceInhibitor",
			"Hgn_MS_Sensors_DetectHyperspace",
		},
		research =
		{
			"HyperspaceCostUpgrade1",
			"HyperspaceCostUpgrade2",
		},
	},
	-- Vaygr
	{
		build =
		{
			"Vgr_C_Module_Hyperspace",
			"Vgr_C_Module_HyperspaceInhibitor",
			"Vgr_C_Sensors_DetectHyperspace",
			"Vgr_MS_Module_Hyperspace",
			"Vgr_MS_Module_HyperspaceInhibitor",
			"Vgr_MS_Sensors_DetectHyperspace",
			"Vgr_HyperSpace_Platform",
		},
		research =
		{
			"HyperspaceGateTech",
		},
	},
}

-- Ships & modules restricted when "Research" is set to "On".
RestrictedByHyperspaceOn =
{
	-- Hiigaran
	{
		build =
		{
		},
		research =
		{
		},
	},
	-- Vaygr
	{
		build =
		{
		},
		research =
		{
		},
	},
}

-- Ships & modules restricted when resourcing is disabled.
RestrictedByResourceOff =
{
	-- Hiigaran
	{
		build =
		{
			"Hgn_ResourceCollector",
			"Hgn_ResourceController",
		},
		research =
		{
		},
	},
	-- Vaygr
	{
		build =
		{
			"Vgr_ResourceCollector",
			"Vgr_ResourceController",
		},
		research =
		{
		},
	},
}


-- Ships & modules restricted when resourcing is not disabled.
RestrictedByResourceOn =
{
	-- Hiigaran
	{
		build =
		{
		},
		research =
		{
		},
	},
	-- Vaygr
	{
		build =
		{
		},
		research =
		{
		},
	},
}

-- List of player-owned ships that should not get counted when determining where to place a crate. (E.g., megaliths.)
ShipsToExcludeFromCrateCheck =
{
	"Meg_Crate",
	"Meg_Asteroid",
	"Meg_AsteroidMP",
	"Meg_Asteroid_NoSubs",
	"Meg_BalcoraGate",
	"Meg_Bentus",
	"Meg_Bentus_Ruined",
	"Meg_Bentus_Ruins_Core_1",
	"Meg_Bentus_Ruins_Core_2",
	"Meg_Bentus_Ruins_Core_3",
	"Meg_Bentus_Ruin_1",
	"Meg_Bentus_Ruin_2",
	"Meg_Bentus_Ruin_3",
	"Meg_Bentus_Ruin_4",
	"Meg_Bentus_Ruin_5",
	"Meg_Bentus_Ruin_6",
	"Meg_Bentus_Ruin_7",
	"Meg_Bentus_Ruin_8",
	"Meg_Bentus_Ruin_9",
	"Meg_Bentus_Ruin_10",
	"Meg_Bentus_Ruin_11",
	"Meg_BigRed",
	"Meg_Chimera",
	"Meg_DreadnaughtBerth",
	"Meg_Foundry",
	"Meg_FoundryDebris_Chunk1",
	"Meg_FoundryDebris_Chunk2",
	"Meg_FoundryDebris_Chunk3",
	"Meg_FoundryDebris_Chunk4",
	"Meg_FoundryDebris_Flake1",
	"Meg_FoundryDebris_Flake2",
	"Meg_FoundryDebris_Flake3",
	"Meg_FoundryDebris_Flake4",
	"Meg_Gehenna_1",
	"Meg_Gehenna_2",
	"Meg_Gehenna_3",
	"Meg_Gehenna_4",
	"Meg_Gehenna_5",
	"Meg_Gehenna_6",
	"Meg_Gehenna_7",
	"Meg_MissleFrigate",
	"Meg_ProgenitorPowerModule",
	"Meg_ProgenitorPowerTrigger",
	"Meg_ProgenitorPowerTrigger_NoUI",
	"Meg_SajHulkNose",
	"Meg_SajHulkNose_UI",
	"Meg_SajHulkPanels",
	"Meg_SajHulkPanels_UI",
	"Meg_SajHulkTurret",
	"Meg_SalvageCollector",
	"Meg_Tanis",
	"Meg_TanisStructure_Medium",
	"Meg_TanisStructure_Medium2",
	"Meg_VeilDebris_Bit1",
	"Meg_VeilDebris_Bit2",
	"Meg_VeilDebris_Bit3",
	"Meg_VeilDebris_Bit4",
	"Meg_VeilDebris_Bit5",
	"Meg_VeilDebris_Bit6",
	"Meg_VeilDebris_Bit7",
	"Meg_VeilDebris_Bit8",
	"Meg_VeilDebris_Bit9",
	"Meg_VeilDebris_Bit10",
	"Meg_VeilDebris_Bit11",
	"Meg_VeilDebris_Bit12",
	"Meg_VeilDebris_Bit13",
	"Meg_VeilDebris_Bit14",
	"Meg_VeilDebris_Bit15",
	"Meg_VeilDebris_Chunk1",
	"Meg_VeilDebris_Chunk1_ND",
	"Meg_VeilDebris_Chunk2",
	"Meg_VeilDebris_Chunk2_ND",
	"Meg_VeilDebris_Chunk3",
	"Meg_VeilDebris_Chunk3_ND",
	"Meg_VeilDebris_Chunk4",
	"Meg_VeilDebris_Chunk4_ND",
	"Meg_VeilDebris_Chunk5",
	"Meg_VeilDebris_Chunk5_ND",
	"Meg_VeilDebris_Chunk_Lighthouse",
	"Meg_VeilDebris_Flake1",
	"Meg_VeilDebris_Flake2",
	"Meg_VeilDebris_Flake3",
	"Meg_VeilDebris_Flake4",
	"Meg_VeilDebris_Flake5",
	"Meg_VeilDebris_Flake6",
	"Meg_VeilDebris_Flake7",
	"Meg_VeilDebris_Flake8",
	"Meg_VeilDebris_Flake9",
	"Meg_VeilDebris_Flake10",
}


--===========================================================================

-- Research is used for tech-upgrade crate awards. First available one will be granted.
-- (It might be useful, in the future, to classify them and give them individual probabilities.)
-- Probabilities are used for ship/tech/RU crate awards.
-- Cost is used for calculating bounties.
-- Subsytem awards have not been implemented yet. So, they can be ignored.
-- Classes, probabilities and costs may be assigned arbitrarily. However, the mothership, carrier, and research classes MUST exist.
-- A ship with a probability of 1 will ALWAYS be chosen unless a ship with a lesser probability exists.
-- [Pyromonger writes this about bounties] "You get a % of the ship's value when you destroy it. The numbers in the corner are the value %'s you get for destroying that particular player's ships. I can't remember if it's .15 or 15, but it means you get 15%... so if you kill a BC, you'd get 600 RUs. As a player starts doing better and better, his % value will go up for the other players, while all the other players' %'s will go down for him -- it's a balancing thing, the winning player gets less RUs for bounty, and the other players start getting ridiculous sums for killing each one of the winner's ships.  I think it caps at 200 or 250%..."

raceTable =
--	iRace	.ships	iClass	.types	iType	.ship
{
	-- Hiigaran
	{
		resrch =
		{
			{
				-- level 0 research
				{research = "PlatformIonWeapons", name = "$7502",},
				{research = "DestroyerTech", name = "$7507",},
				{research = "BattlecruiserIonWeapons", name = "$7504",},
				{research = "ECMProbe", name = "$7509",},
				{research = "SensDisProbe", name = "$7650",},
				-- level 1 research
				{research = "MothershipHealthUpgrade1", name = "$7523",},
				{research = "MothershipMAXSPEEDUpgrade1", name = "$7527",},
				{research = "MothershipBUILDSPEEDUpgrade1", name = "$7800",},
				{research = "CarrierHealthUpgrade1", name = "$7531",},
				{research = "CarrierMAXSPEEDUpgrade1", name = "$7535",},
				{research = "CarrierBUILDSPEEDUpgrade1", name = "$7805",},
				{research = "InterceptorMAXSPEEDUpgrade1", name = "$7543",},
				{research = "AttackBomberMAXSPEEDUpgrade1", name = "$7551",},
				{research = "AssaultCorvetteHealthUpgrade1", name = "$7555",},
				{research = "AssaultCorvetteMAXSPEEDUpgrade1", name = "$7559",},
				{research = "PulsarCorvetteHealthUpgrade1", name = "$7563",},
				{research = "PulsarCorvetteMAXSPEEDUpgrade1", name = "$7567",},
				{research = "TorpedoFrigateHealthUpgrade1", name = "$7571",},
				{research = "TorpedoFrigateMAXSPEEDUpgrade1", name = "$7575",},
				{research = "IonCannonFrigateHealthUpgrade1", name = "$7579",},
				{research = "IonCannonFrigateMAXSPEEDUpgrade1", name = "$7583",},
				{research = "AssaultFrigateHealthUpgrade1", name = "$7587",},
				{research = "AssaultFrigateMAXSPEEDUpgrade1", name = "$7591",},
				{research = "BattlecruiserHealthUpgrade1", name = "$7595",},
				{research = "BattlecruiserMAXSPEEDUpgrade1", name = "$7599",},
				{research = "DestroyerHealthUpgrade1", name = "$7639",},
				{research = "DestroyerMAXSPEEDUpgrade1", name = "$7643",},
				{research = "GunTurretHealthUpgrade1", name = "$7603",},
				{research = "IonTurretHealthUpgrade1", name = "$7607",},
				{research = "ResourceCollectorHealthUpgrade1", name = "$7611",},
				{research = "ResourceControllerHealthUpgrade1", name = "$7267",},
				{research = "HyperspaceCostUpgrade1", name = "$7627",},
				{research = "HyperspaceRecoveryTimeUpgrade1", name = "",},
				{research = "ShipyardHealthUpgrade1", name = "$7619",},
				{research = "ShipyardMAXSPEEDUpgrade1", name = "$7623",},
				{research = "ShipyardBUILDSPEEDUpgrade1", name = "$7810",},
				-- level 2 research
				{research = "ShipyardMAXSPEEDUpgrade2", name = "$7625",},
				{research = "ShipyardHealthUpgrade2", name = "$7621",},
				{research = "HyperspaceCostUpgrade2", name = "$7629",},
				{research = "ResourceControllerHealthUpgrade2", name = "$7617",},
				{research = "ResourceCollectorHealthUpgrade2", name = "$7613",},
				{research = "IonTurretHealthUpgrade2", name = "$7609",},
				{research = "GunTurretHealthUpgrade2", name = "$7605",},
				{research = "DestroyerMAXSPEEDUpgrade2", name = "$7645",},
				{research = "DestroyerHealthUpgrade2", name = "$7641",},
				{research = "BattlecruiserMAXSPEEDUpgrade2", name = "$7601",},
				{research = "BattlecruiserHealthUpgrade2", name = "$7597",},
				{research = "AssaultFrigateMAXSPEEDUpgrade2", name = "$7593",},
				{research = "AssaultFrigateHealthUpgrade2", name = "$7589",},
				{research = "IonCannonFrigateMAXSPEEDUpgrade2", name = "$7585",},
				{research = "IonCannonFrigateHealthUpgrade2", name = "$7581",},
				{research = "TorpedoFrigateMAXSPEEDUpgrade2", name = "$7577",},
				{research = "TorpedoFrigateHealthUpgrade2", name = "$7573",},
				{research = "PulsarCorvetteMAXSPEEDUpgrade2", name = "$7569",},
				{research = "PulsarCorvetteHealthUpgrade2", name = "$7565",},
				{research = "AssaultCorvetteMAXSPEEDUpgrade2", name = "$7561",},
				{research = "AssaultCorvetteHealthUpgrade2", name = "$7557",},
				{research = "AttackBomberMAXSPEEDUpgrade2", name = "$7553",},
				{research = "InterceptorMAXSPEEDUpgrade2", name = "$7545",},
				{research = "CarrierMAXSPEEDUpgrade2", name = "$7537",},
				{research = "CarrierHealthUpgrade2", name = "$7533",},
				{research = "MothershipMAXSPEEDUpgrade2", name = "$7529",},
				{research = "MothershipHealthUpgrade2", name = "$7525",},
				-- special abilities
				{research = "GraviticAttractionMines", name = "$7500",},
				{research = "RepairAbility", name = "$7511",},
				{research = "ScoutPingAbility", name = "$7513",},
				{research = "ImprovedTorpedo", name = "$7515",},
				{research = "AttackBomberImprovedBombs", name = "$7517",},
				{research = "ScoutEMPAbility", name = "$7519",},
				{research = "DefenseFieldFrigateShield", name = "$7521",},
			},
		},
		-- subsystems not implemented yet
		subsys = 
		{
			{
				class = "production",
				prob = 0.2,
				types =
				{
					{
						subsystem = "Hgn_C_Production_Fighter",
						name = "$7000",
						prob = 0.4,
						cost = 500,
					},
					{
						subsystem = "Hgn_MS_Production_Fighter",
						name = "$7000",
						prob = 0.4,
						cost = 500,
					},
					{
						subsystem = "Hgn_C_Production_Corvette",
						name = "$7002",
						prob = 0.6,
						cost = 800,
					},
					{
						subsystem = "Hgn_MS_Production_Corvette",
						name = "$7002",
						prob = 0.6,
						cost = 800,
					},
					{
						subsystem = "Hgn_C_Production_Frigate",
						name = "$7004",
						prob = 0.7,
						cost = 1000,
					},
					{
						subsytem = "Hgn_MS_Production_Frigate",
						name = "$7004",
						prob = 0.7,
						cost = 1000,
					},
					{
						subsystem = "Hgn_MS_Production_CapShip",
						name = "$7006",
						prob = 0.8,
						cost = 1800,
					},
					{
						subsystem = "Hgn_SY_Production_CapShip",
						name = "$7006",
						prob = 0.8,
						cost = 1800,
					},
					{
						subsystem = "Hgn_C_Module_PlatformControl",
						name = "$7008",
						prob = 1,
						cost = 500,
					},
					{
						subsystem = "Hgn_MS_Module_PlatformControl",
						name = "$7008",
						prob = 1,
						cost = 500,
					},
				},
			},
			{
				class = "research",
				prob = 0.4,
				types =
				{

					{
						subsystem = "Hgn_C_Module_Research",
						name = "$7010",
						prob = 0.75,
						cost = 1500,
					},
					{
						subsystem = "Hgn_MS_Module_Research",
						name = "$7010",
						prob = 0.75,
						cost = 1500,
					},
					{
						subsystem = "Hgn_C_Module_ResearchAdvanced",
						name = "$7012",
						prob = 1,
						cost = 2250,
					},
					{
						subsystem = "Hgn_MS_Module_ResearchAdvanced",
						name = "$7012",
						prob = 1,
						cost = 2250,
					},
				},
			},
			{
				class = "hyperspace",
				prob = 0.6,
				types =
				{
					{
						subsystem = "Hgn_C_Module_Hyperspace",
						name = "$7014",
						prob = 0.75,
						cost = 1000,
					},
					{
						subsystem = "Hgn_MS_Module_Hyperspace",
						name = "$7014",
						prob = 0.75,
						cost = 1000,
					},
					{
						subsystem = "Hgn_C_Module_HyperspaceInhibitor",
						name = "$7016",
						prob = 1,
						cost = 1500,
					},
					{
						subsystem = "Hgn_MS_Module_HyperspaceInhibitor",
						name = "$7016",
						prob = 1,
						cost = 1500,
					},
				},
			},
			{
				class = "ability",
				prob = 0.8,
				types =
				{
					{
						subsystem = "Hgn_C_Module_CloakGenerator",
						name = "$7018",
						prob = 0.75,
						cost = 750,
					},
					{
						subsystem = "Hgn_MS_Module_CloakGenerator",
						name = "$7018",
						prob = 0.75,
						cost = 750,
					},
					{
						subsystem = "Hgn_C_Module_FireControl",
						name = "$7020",
						prob = 1,
						cost = 1500,
					},
					{
						subsystem = "Hgn_MS_Module_FireControl",
						name = "$7020",
						prob = 1,
						cost = 1500,
					},
				},
			},
			{
				class = "sensors",
				prob = 1,
				types =
				{
					{
						subsystem = "Hgn_C_Sensors_DetectHyperspace",
						name = "$7036",
						prob = 0.33,
						cost = 250,
					},
					{
						subsystem = "Hgn_MS_Sensors_DetectHyperspace",
						name = "$7036",
						prob = 0.33,
						cost = 250,
					},
					{
						subsystem = "Hgn_C_Sensors_AdvancedArray",
						name = "$7022",
						prob = 0.66,
						cost = 250,
					},
					{
						subsystem = "Hgn_MS_Sensors_AdvancedArray",
						name = "$7022",
						prob = 0.66,
						cost = 250,
					},
					{
						subsystem = "Hgn_C_Sensors_DetectCloaked",
						name = "$7024",
						prob = 1,
						cost = 250,
					},
					{
						subsystem = "Hgn_MS_Sensors_DetectCloaked",
						name = "$7024",
						prob = 1,
						cost = 250,
					},
				},
			},
		},
		ships =
		{
			{
				class = "mothership",
				prob = 0,
				types =
				{
					{
						ship = "Hgn_Mothership",
						name = "Mothership",	-- needs to be added to buildresearch.ucs
						prob = 1,
						cost = 8000,
					},
				},
			},
			{
				class = "cruiser",
				prob = 0,
				types =
				{
					{
						ship = "Hgn_BattleCruiser",
						name = "$7060",
						prob = 1.0,
						cost = 4000,
					},
				},
			},
			{
				class = "carrier",
				prob = 0.01,
				types =
				{
					{
						ship = "Hgn_Carrier",
						name = "$7054",
						prob = 0.9,
						cost = 2800,
					},
					{
						ship = "Hgn_Shipyard",
						name = "$7058",
						prob = 0.99,
						cost = 3500,
					},
					{
						ship = "Hgn_Shipyard_Elohim",
						name = "$7058",
						prob = 1.0,
						cost = 3200,
					},
				},
			},
			{
				class = "destroyer",
				prob = 0.2,
				types =
				{
					{
						ship = "Hgn_Destroyer",
						name = "$7056",
						prob = 1.0,
						cost = 2000,
					},
				},
			},
			{
				class = "frigate",
				prob = 0.25,
				types =
				{
					{
						ship = "Hgn_AssaultFrigate",
						name = "$7048",
						prob = 0.2,
						cost = 700,
					},
					{
						ship = "Hgn_DefenseFieldFrigate",
						name = "$7044",
						prob = 0.4,
						cost = 1250,
					},
					{
						ship = "Hgn_IonCannonFrigate",
						name = "$7050",
						prob = 0.6,
						cost = 700,
					},
					{
						ship = "Hgn_MarineFrigate",
						name = "$7052",
						prob = 0.7,
						cost = 700,
					},
					{
						ship = "Hgn_MarineFrigate_Soban",
						name = "$7052",
						prob = 0.8,
						cost = 700,
					},
					{
						ship = "Hgn_TorpedoFrigate",
						name = "$7046",
						prob = 1.0,
						cost = 700,
					},
				},
			},
			{
				class = "corvette",
				prob = 0.55,
				types =
				{
					{
						ship = "Hgn_AssaultCorvette",
						name = "$7038",
						prob = 0.4,
						cost = 625,
					},
					{
						ship = "Hgn_AssaultCorvetteElite",
						name = "$7038",
						prob = 0.5,
						cost = 500,
					},
					{
						ship = "Hgn_PulsarCorvette",
						name = "$7040",
						prob = 0.9,
						cost = 625,
					},
					{
						ship = "Hgn_MinelayerCorvette",
						name = "$7042",
						prob = 1.0,
						cost = 800,
					},
				},
			},
			{
				class = "fighter",
				prob = 0.75,
				types =
				{
					{
						ship = "Hgn_Scout",
						name = "$7030",
						prob = 0.3,
						cost = 350,
					},
					{
						ship = "Hgn_AttackBomber",
						name = "$7034",
						prob = 0.5,
						cost = 550,
					},
					{
						ship = "Hgn_AttackBomberElite",
						name = "$7034",
						prob = 0.6,
						cost = 575,
					},
					{
						ship = "Hgn_Interceptor",
						name = "$7032",
						prob = 1.0,
						cost = 500,
					},
				},
			},
			{
				class = "platform",
				prob = 0.8,
				types =
				{
					{
						ship = "Hgn_GunTurret",
						name = "$7062",
						prob = 0.5,
						cost = 300,
					},
					{
						ship = "Hgn_IonTurret",
						name = "$7064",
						prob = 1.0,
						cost = 300,
					},
				},
			},
			{
				class = "resource",
				prob = 0.92,
				types =
				{
					{
						ship = "Hgn_ResourceCollector",
						name = "$7066",
						prob = 0.7,
						cost = 400,
					},
					{
						ship = "Hgn_ResourceController",
						name = "$7068",
						prob = 1.0,
						cost = 800,
					},
				},
			},
			{
				class = "noncombat",
				prob = 1.0,
				types =
				{
					{
						ship = "Hgn_ProximitySensor",
						name = "$7072",
						prob = 0.3,
						cost = 250,
					},
					{
						ship = "Hgn_ECMProbe",
						name = "$7074",
						prob = 0.6,
						cost = 600,
					},
					{
						ship = "Hgn_Probe",
						name = "$7070",
						prob = 1.0,
						cost = 150,
					},
				},
			},
		},
	},
	-- Vaygr
	{
		resrch = 
		{
			-- level 0 research
			{research = "CorvetteTech", name = "$7176",},
			{research = "FrigateTech", name = "$7178",},
			{research = "ProbeSensorDisruption", name = "$7700",},
			{research = "ProbeProxSensor", name = "$7183",},
			{research = "LanceBeams", name = "$7704",},
			{research = "PlasmaBombs", name = "$7702",},
			{research = "CorvetteLaser", name = "$7708",},
			{research = "CorvetteCommand", name = "$7710",},
			{research = "PlatformHeavyMissiles", name = "$7712",},
			{research = "FrigateAssault", name = "$7714",},
			{research = "BattlecruiserIonWeapons", name = "$7718",},
			{research = "DestroyerGuns", name = "$7720",},
			-- level 1 research
			{research = "MothershipBUILDSPEEDUpgrade1", name = "$7815",},
			{research = "SuperCapHealthUpgrade1", name = "$7743",},
			{research = "SuperCapSpeedUpgrade1", name = "$7747",},
			{research = "CarrierBUILDSPEEDUpgrade1", name = "$7820",},
			{research = "ShipyardBUILDSPEEDUpgrade1", name = "$7825",},
			{research = "FighterspeedUpgrade1", name = "$7755",},
			{research = "CorvetteHealthUpgrade1", name = "$7759",},
			{research = "CorvetteSpeedUpgrade1", name = "$7763",},
			{research = "FrigateHealthUpgrade1", name = "$7767",},
			{research = "FrigateSpeedUpgrade1", name = "$7771",},
			{research = "PlatformHealthUpgrade1", name = "$7775",},
			{research = "UtilityHealthUpgrade1", name = "$7779",},
			-- level 2 research
			{research = "SuperCapHealthUpgrade2", name = "$7745",},
			{research = "SuperCapSpeedUpgrade2", name = "$7749",},
			{research = "FighterspeedUpgrade2", name = "$7757",},
			{research = "CorvetteHealthUpgrade2", name = "$7761",},
			{research = "CorvetteSpeedUpgrade2", name = "$7765",},
			{research = "FrigateHealthUpgrade2", name = "$7769",},
			{research = "SpeedUpgrade2", name = "$7773",},
			{research = "PlatformHealthUpgrade2", name = "$7777",},
			{research = "UtilityHealthUpgrade2", name = "$7781",},
			-- special abilities
			{research = "CorvetteGraviticAttraction", name = "$7706",},
			{research = "FrigateInfiltrationTech", name = "$7716",},
			{research = "HyperspaceGateTech", name = "$7722",},
			{research = "RepairAbility", name = "$7724",},
			{research = "ScoutEMPAbility", name = "$7732",},
			{research = "BomberImprovedBombs", name = "$7730",},
		},
		subsys = 
		{
			{
				class = "production",
				prob = 0.2,
				types =
				{
					{
						subsystem = "Vgr_C_Production_HWCFighter",
						name = "$7100",
						prob = 0.4,
						cost = 450,
					},
					{
						subsystem = "Vgr_C_Production_Fighter",
						name = "$7100",
						prob = 0.4,
						cost = 450,
					},
					{
						subsystem = "Vgr_MS_Production_Fighter",
						name = "$7100",
						prob = 0.4,
						cost = 450,
					},
					{
						subsystem = "Vgr_C_Production_HWCCorvette",
						name = "$7102",
						prob = 0.6,
						cost = 725,
					},
					{
						subsystem = "Vgr_C_Production_Corvette",
						name = "$7102",
						prob = 0.6,
						cost = 725,
					},
					{
						subsystem = "Vgr_MS_Production_Corvette",
						name = "$7102",
						prob = 0.6,
						cost = 725,
					},
					{
						subsystem = "Vgr_C_Production_Frigate",
						name = "$7104",
						prob = 0.7,
						cost = 900,
					},
					{
						subsystem = "Vgr_MS_Production_Frigate",
						name = "$7104",
						prob = 0.7,
						cost = 900,
					},
					{
						subsystem = "Vgr_MS_Production_CapShip",
						name = "$7106",
						prob = 0.8,
						cost = 1250,
					},
					{
						subsystem = "Vgr_SY_Production_CapShip",
						name = "$7106",
						prob = 0.8,
						cost = 1250,
					},
					{
						subsystem = "Vgr_C_Module_PlatformControl",
						name = "$7108",
						prob = 1,
						cost = 625,
					},
					{
						subsystem = "Vgr_MS_Module_PlatformControl",
						name = "$7108",
						prob = 1,
						cost = 625,
					},
				},
			},
			{
				class = "research",
				prob = 0.4,
				types =
				{
					{
						subsystem = "Vgr_C_Module_Research",
						name = "$7110",
						prob = 1,
						cost = 500,
					},
					{
						subsystem = "Vgr_MS_Module_Research",
						name = "$7110",
						prob = 1,
						cost = 500,
					},
				},
			},
			{
				class = "hyperspace",
				prob = 0.6,
				types =
				{
					{
						subsystem = "Vgr_C_Module_Hyperspace",
						name = "$7114",
						prob = 0.75,
						cost = 1000,
					},
					{
						subsystem = "Vgr_MS_Module_Hyperspace",
						name = "$7114",
						prob = 0.75,
						cost = 1000,
					},
					{
						subsystem = "Vgr_C_Module_HyperspaceInhibitor",
						name = "$7116",
						prob = 1,
						cost = 1500,
					},
					{
						subsystem = "Vgr_MS_Module_HyperspaceInhibitor",
						name = "$7116",
						prob = 1,
						cost = 1500,
					},
				},
			},
			{
				class = "ability",
				prob = 0.8,
				types =
				{
					{
						subsystem = "Vgr_C_Module_CloakGenerator",
						name = "$7118",
						prob = 0.75,
						cost = 750,
					},
					{
						subsystem = "Vgr_MS_Module_CloakGenerator",
						name = "$7118",
						prob = 0.75,
						cost = 750,
					},
					{
						subsystem = "Vgr_C_Module_FireControl",
						name = "$7120",
						prob = 1,
						cost = 1500,
					},
					{
						subsystem = "Vgr_MS_Module_FireControl",
						name = "$7120",
						prob = 1,
						cost = 1500,
					},
				},
			},
			{
				class = "sensors",
				prob = 1,
				types =
				{
					{
						subsystem = "Vgr_C_Sensors_DetectHyperspace",
						name = "$7126",
						prob = 0.5,
						cost = 250,
					},
					{
						subsystem = "Vgr_MS_Sensors_DetectHyperspace",
						name = "$7126",
						prob = 0.5,
						cost = 250,
					},
					{
						subsystem = "Vgr_C_Sensors_AdvancedArray",
						name = "$7122",
						prob = 1,
						cost = 250,
					},
					{
						subsystem = "Vgr_MS_Sensors_AdvancedArray",
						name = "$7122",
						prob = 1,
						cost = 250,
					},
				},
			},
		},
		ships =
		{
			{
				class = "mothership",
				prob = 0,
				types =
				{
					{
						ship = "Vgr_Mothership",
						name = "Mothership",			-- needs to be added to buildresearch.ucs
						prob = 1.0,
						cost = 8000,
					},
				}
			},
			{
				class = "cruiser",
				prob = 0,
				types =
				{
					{
						ship = "Vgr_BattleCruiser",
						name = "$7158",
						prob = 1.0,
						cost = 4000,
					},
				}
			},
			{
				class = "carrier",
				prob = 0.02,
				types =
				{
					{
						ship = "Vgr_Carrier",
						name = "$7154",
						prob = 0.9,
						cost = 1700,
					},
					{
						ship = "Vgr_ShipYard",
						name = "$7156",
						prob = 1.0,
						cost = 4000,
					},
				}
			},
			{
				class = "destroyer",
				prob = 0.1,
				types =
				{
					{
						ship = "Vgr_Destroyer",
						name = "$7152",
						prob = 1.0,
						cost = 2000,
					},
				}
			},
			{
				class = "frigate",
				prob = 0.25,
				types =
				{
					{
						ship = "Vgr_AssaultFrigate",
						name = "$7146",
						prob = 0.375,
						cost = 700,
					},
					{
						ship = "Vgr_HeavyMissileFrigate",
						name = "$7148",
						prob = 0.75,
						cost = 700,
					},
					{
						ship = "Vgr_InfiltratorFrigate",
						name = "$7150",
						prob = 1.0,
						cost = 800,
					},
				}
			},
			{
				class = "corvette",
				prob = 0.55,
				types =
				{
					{
						ship = "Vgr_LaserCorvette",
						name = "$7140",
						prob = 0.4,
						cost = 650,
					},
					{
						ship = "Vgr_MissileCorvette",
						name = "$7138",
						prob = 0.8,
						cost = 625,
					},
					{
						ship = "Vgr_CommandCorvette",
						name = "$7144",
						prob = 0.9,
						cost = 400,
					},
					{
						ship = "Vgr_MinelayerCorvette",
						name = "$7142",
						prob = 1.0,
						cost = 800,
					},
				}
			},
			{
				class = "fighter",
				prob = 0.75,
				types =
				{
					{
						ship = "Vgr_Scout",
						name = "$7130",
						prob = 0.25,
						cost = 350,
					},
					{
						ship = "Vgr_Bomber",
						name = "$7134",
						prob = 0.5,
						cost = 550,
					},
					{
						ship = "Vgr_Interceptor",
						name = "$7132",
						prob = 0.75,
						cost = 500,
					},
					{
						ship = "Vgr_LanceFighter",
						name = "$7136",
						prob = 1.0,
						cost = 500,
					},
				}
			},
			{
				class = "platform",
				prob = 0.8,
				types =
				{
					{
						ship = "Vgr_WeaponPlatform_gun",
						name = "$7160",
						prob = 0.4,
						cost = 300,
					},
					{
						ship = "Vgr_WeaponPlatform_missile",
						name = "$7162",
						prob = 0.8,
						cost = 300,
					},
					{
						ship = "Vgr_HyperSpace_Platform",
						name = "$7174",
						prob = 1.0,
						cost = 750,
					},
				}
			},
			{
				class = "resource",
				prob = 0.92,
				types =
				{
					{
						ship = "Vgr_ResourceCollector",
						name = "$7164",
						prob = 0.7,
						cost = 400,
					},
					{
						ship = "Vgr_ResourceController",
						name = "$7166",
						prob = 1.0,
						cost = 800,
					},
				}
			},
			{
				class = "noncombat",
				prob = 1.0,
				types =
				{
					{
						ship = "Vgr_Probe_Prox",
						name = "$7170",
						prob = 0.3,
						cost = 250,
					},
					{
						ship = "Vgr_Probe_ECM",
						name = "$7172",
						prob = 0.6,
						cost = 500,
					},
					{
						ship = "Vgr_Probe",
						name = "$7168",
						prob = 1.0,
						cost = 150,
					},
				},
			},
		},
	},
}
